Subject: Re: "make uImage" issue with new kernels

From: "Ira W. Snyder" <[email-masked]>
Date: Tue, 17 Aug 2010 15:22:59 -0700

On Tue, Aug 17, 2010 at 03:05:05PM -0700, Tirumala Marri wrote:
> I am seeing weird issue with latest  kernel. “make uImage” failes with “no
> rule to make target” error message.
> 
> Has anything changed recently ?
> 
> 
> 
> -----------msg --------
> 
> {tmarri@svdclab61}> make 44x/canyonlands_defconfig
> 
> #
> 
> # configuration written to .config
> 
> #
> 
> {tmarri@svdclab61}> make uImage
> 
> scripts/kconfig/conf --silentoldconfig arch/powerpc/Kconfig
> 
> make: *** No rule to make target `uImage'.  Stop.
> 
> {tmarri@svdclab61}>
> 

I saw a patch to fix this a few days ago. A typo was introduced in the
Makefile. The patch hasn't made it into mainline yet, so for now try
'make uImaged' instead. I'm sure the fix will be merged soon.

Ira